# ⚖️ Vítimas de Crime

Bem-vindo ao aplicativo **Vítimas de Crime**! Esta é uma aplicação construída usando React Native e Expo para oferecer suporte às vítimas de crimes.

## Pré-requisitos 🛠️

Certifique-se de ter [Node.js](https://nodejs.org/) instalado na sua máquina.

# Configuração do ambiente

É recomendado o uso das seguintes extensões do VSCode:

- [EditorConfig for VS Code](https://marketplace.visualstudio.com/items?itemName=EditorConfig.EditorConfig)
- [ESLint](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint)
- [PostCSS Language Support](https://marketplace.visualstudio.com/items?itemName=csstools.postcss)
- [Prettier](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode)

No arquivo `settings.json` adicione o seguinte trecho de código:

    "editor.codeActionsOnSave":  {
        "source.fixAll.eslint":  true
    },

Este arquivo pode ser encontrado com: `CTRL+SHIFT+P`, `Open user settings(JSON)`
Desta forma, a ação de salvar do seu editor vai resolver todos os problemas relacionados ao ESLint ( que incluem as estilizações do Prettier ).

## Instalação 🚀

1. Clone este repositório: `git clone https://tools.ages.pucrs.br/vitimas-de-crime/app.git`
2. Navegue até o diretório do projeto: `cd app`
3. Instale as dependências: `npm install`

## Uso 🎉

1. Certifique-se de ter o Expo instalado globalmente: `npm install -g expo-cli`
2. Inicie o servidor de desenvolvimento: `npm start`
3. Abra o aplicativo Expo Go no seu dispositivo móvel e escaneie o QR code exibido no terminal.

## Scripts Disponíveis 🧪

No diretório do projeto, você pode executar os seguintes comandos:

- `npm start`: Inicia o servidor de desenvolvimento do Expo.
- `npm run start:dev`: Inicia o servidor de desenvolvimento do Expo.
- `npm run start:local`: Inicia o servidor de local do Expo.
- `npm run start:hmg`: Inicia o servidor de homologação do Expo.
