import {  
    checkPasswordLength,
    checkPasswordCase,
    checkPasswordNumber,
    checkPasswordsEquals } from '../../validators/PasswordValidator';

describe('PasswordValidator', () => {
    it('Password should have at least 8 characters', () => {
        expect(checkPasswordLength('1234567')).toBe(false);
        expect(checkPasswordLength('12345678')).toBe(true);
        expect(checkPasswordLength('abcdefgh')).toBe(true);
    });
    
    it('Password should contain at least one uppercase and one lowercase letter', () => {
        expect(checkPasswordCase('password')).toBeNull();
        expect(checkPasswordCase('Password')).not.toBeNull();
        expect(checkPasswordCase('PASSWORD')).toBeNull();
        expect(checkPasswordCase('PassWord')).not.toBeNull();
    });
    
    it('Password should contain at least one number', () => {
        expect(checkPasswordNumber('password')).toBeNull();
        expect(checkPasswordNumber('Password1')).not.toBeNull();
        expect(checkPasswordNumber('12345678')).not.toBeNull();
    });
    
    it('Passwords should be equal', () => {
        expect(checkPasswordsEquals('password', 'password')).toBe(true);
        expect(checkPasswordsEquals('Password1', 'Password1')).toBe(true);
        expect(checkPasswordsEquals('password', 'Password')).toBe(false);
    });
});