import { useQuery } from '@tanstack/react-query';
import { criminalProcedureByIDRoute, criminalProceduresRoute } from '.';
import { QUERY_KEYS } from '../../query-keys';

export interface ProcedureData {
  id: string;
  procedureType: string;
  number: string;
  crime: {
    name: string;
  };
  city: { name: string };
  date: string;
}

export const useGetCriminalProcedures = ( enabled: boolean) =>
  useQuery<ProcedureData[]>({
    queryKey: [QUERY_KEYS.criminalProcedures],
    queryFn: async () => (await criminalProceduresRoute.get('by-user?size=20&active=true')).data.content,
    enabled: enabled,
  });

	export const useGetCriminalProcedureByID = (id: string, enabled: boolean) =>
  useQuery<ProcedureData>({

    queryKey: [QUERY_KEYS.criminalProcedures, id],
    queryFn: async () => {
			return (await criminalProcedureByIDRoute.get(`/${id}`)).data
			},
    enabled: !!id
  });
