import { loginRoute } from '.';
import { useMutation } from '@tanstack/react-query';

export type Credentials = {
  cpf: string;
  password: string;
};

export type LoginResponse = {
  data: {
    access_token: string;
  };
};

export const useLogin = () =>
  useMutation({
    mutationFn: (credentials: Credentials) =>
      loginRoute.post<Credentials, LoginResponse>('', {
        username: credentials.cpf.replace(/\D/g, ''),
        password: credentials.password,
      }),
  });

