import { useMutation } from '@tanstack/react-query';
import { signIn as sign } from '.';

export type SignInResponse = {
  error: boolean;
};

export type SignInCredentials = {
  name: string;
  cpf: string;
  email: string;
  phoneNumber: string;
  password: string;
};

export const useSignUp = () => {
  return useMutation({
    mutationFn: (credentials: SignInCredentials) =>
      sign.post<SignInCredentials, {}>('', credentials),
  });
};

