import { useQuery } from '@tanstack/react-query'
import { frequentlyAskedQuestionsRoute } from ".";
import { QUERY_KEYS } from "../../query-keys";

export const useGetFrequentlyAskedQuestions = (enabled: boolean) =>
    useQuery({
        queryKey: [QUERY_KEYS.faqs],
        queryFn: async () =>
            (
                await frequentlyAskedQuestionsRoute.get("")
            ).data,
        enabled: enabled,
    });
