import React from 'react';
import { router } from 'expo-router';
import ValidationComponent from '../../components/validationComponent/validationComponent';

import HeaderFail from '../../assets/images/header-fail.svg';
import HeaderSuccess from '../../assets/images/header-success.svg';

const FailVerification = () => {
  return (
    <ValidationComponent
      headerImage={HeaderFail}
      message="Falha no cadastro!"
      buttonText="Voltar"
      onButtonPress={() => router.replace('/login/')}
    />
  );
};

const SuccessVerification = () => {
  return (
    <ValidationComponent
      headerImage={HeaderSuccess}
      message="Cadastro concluído!"
      buttonText="Continuar"
      onButtonPress={() => router.replace('/home/')}
    />
  );
};

export { FailVerification, SuccessVerification };
