import { LinearGradient } from 'expo-linear-gradient';
import React, { useEffect } from 'react';
import { StyleSheet, TouchableOpacity, View } from 'react-native';
import { Text } from 'react-native-paper';
import colors from '../../styles/colors';
import { FontAwesome } from '@expo/vector-icons';


interface IButtonProps {
    value: string;
    onClick: Function;
    testID?: string;
    disabled?: boolean;
    type?: number;
}

const styles = StyleSheet.create({
    buttonComponent: {
        display: 'flex',
        borderRadius: 60,
        height: 62,
        justifyContent: 'center',
        alignItems: 'center',
    },
    buttonComponentWhite: {
        display: 'flex',
        borderRadius: 60,
        height: 62,
        justifyContent: 'center',
        alignItems: 'center',
        borderColor: colors.SELECTIVE_YELLOW,
        borderWidth: 3,
    },
    disabledStyle: {
        opacity: 0.5,
        pointerEvents: 'none',
    },
    button: {
        width: '100%',
    },
});

export default function ButtonComponent({ deleteQuery, id }: { deleteQuery: any; id: string }) {
    const { mutate } = deleteQuery(id);

    return (
        <TouchableOpacity onPress={mutate}>
            <View style={{ flexDirection: "row", alignItems: "flex-start", gap: 10 }}>
                <FontAwesome name={'trash-o'} size={18} color={colors.SELECTIVE_YELLOW} ></FontAwesome>
                <Text>Deletar</Text>
            </View>
        </TouchableOpacity>
    );
}