import React from "react";
import { Text, Image, StyleSheet, TouchableOpacity } from "react-native";

interface Props {
  text: string;
  imageSource: any;
  onClick: () => void;
}

const CircleCardComponent: React.FC<Props> = ({ text, imageSource, onClick }) => {
  return (
    <TouchableOpacity onPress={onClick} style={styles.container}>
      <Image source={imageSource} style={styles.image} />
      <Text style={styles.text}>{text}</Text>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  container: {
    alignItems: "center",
    width: 110,
    height: 100,
    display: "flex",
    flexDirection: "column",
  },
  image: {
    width: 75,
    height: 75,
    resizeMode: "contain",
  },
  text: {
    display: "flex",
    textAlign: "center",
    fontWeight: "700",
    marginTop: 10,
    fontSize: 12,
  },
});

export default CircleCardComponent;
