import { StatusBar } from "expo-status-bar";
import { Platform, StyleSheet, View, Image } from "react-native";
import { Text } from "react-native-paper";
import CircleCardComponent from "./circleCard";
import SearchBar from "../searchbar/searchBar";
import React from "react";

export default function Info() {
  const styles = StyleSheet.create({
    textSearchBar: {
      marginLeft: 7,
      fontWeight: "bold",
    },
    info: {
      padding: 5,
      marginLeft: "auto",
      marginRight: "auto",
      display: "flex",
      textAlign: "center",
      fontWeight: "400",
      width: 350,
    },
    circleCardsContainer: {
      paddingTop: 25,
      flex: 1,
      flexDirection: "row",
      gap: 15,
      justifyContent: "center",
    },
    img: {
      marginTop: 15,
      marginBottom: 10,
      width: 110,
      height: 110,
      alignSelf: "center",
      resizeMode: "cover",
    },
  });

  return (
    <View>
      <Image
        source={require("../assets/images/logo_rs.png")}
        style={styles.img}
      />

      <Text style={styles.textSearchBar}>Alguma dúvida?</Text>
      <SearchBar
        onSearch={function (searchText: string): void {
          throw new Error("Function not implemented.");
        }}
      />
      <Text style={styles.info}>
        Descubra as atividades e o funcionamento de cada órgão! basta selecionar
        um dos cartões abaixo
      </Text>

      <View style={styles.circleCardsContainer}>
        <CircleCardComponent
          text={"Ministério Público"}
          imageSource={require("../assets/images/RS.png")}
          onClick={function (): void {}}
        ></CircleCardComponent>

        <CircleCardComponent
          text={"Polícia Civil"}
          imageSource={require("../assets/images/policia.png")}
          onClick={function (): void {}}
        ></CircleCardComponent>

        <CircleCardComponent
          text={"Defesa Civil"}
          imageSource={require("../assets/images/defesaCivil.png")}
          onClick={function (): void {}}
        ></CircleCardComponent>
      </View>

      {/* Use a light status bar on iOS to account for the black space above the modal */}
      <StatusBar style={Platform.OS === "ios" ? "light" : "auto"} />
    </View>
  );
}
