import React from 'react';
import { StyleSheet, View, Text } from 'react-native';

import FailCircle from '../../assets/images/fail-circle.svg';
import colors from '../../styles/colors';
import ButtonComponent from '../button/component_button';

const Exception = ({ handleTryAgain }: { handleTryAgain?: () => void }) => {
  return (
    <View style={styles.container}>
      <View style={styles.container}>
        <View style={styles.titleContainer}>
          <Text style={styles.title}>Procedimento Criminal</Text>
        </View>
        <View style={styles.orangeLine}></View>
        <View style={styles.failCircleContainer}>
          <FailCircle />
          <View style={styles.subTitleContainer}>
            <Text style={styles.subTitle}>
              Infelizmente, ocorreu um erro. Por favor, tente novamente mais tarde.
            </Text>
          </View>
          {handleTryAgain && (
            <View style={styles.buttonContainer}>
              <ButtonComponent value="Tentar novamente" onClick={handleTryAgain} />
            </View>
          )}
        </View>
      </View>
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    backgroundColor: colors.BACKGROUND,
    height: '100%',
  },
  titleContainer: {
    alignItems: 'center',
    justifyContent: 'center',
    padding: 25,
    marginTop: 30,
  },
  orangeLine: {
    width: '100%',
    backgroundColor: colors.UT_ORANGE,
    height: 5,
  },
  bottomContainer: {
    backgroundColor: colors.BACKGROUND,
    paddingRight: 10,
    paddingLeft: 10,
    paddingBottom: 10,
    flex: 1,
  },
  buttonContainer: {
    width: '80%',
  },
  failCircleContainer: {
    alignItems: 'center',
    height: '100%',
    justifyContent: 'center',
    paddingBottom: 350,
  },
  subTitleContainer: {
    padding: 20,
    width: '70%',
  },

  title: {
    fontWeight: 'bold',
    fontSize: 25,
    marginBottom: 5,
    alignSelf: 'center',
  },
  subTitle: {
    fontWeight: '600',
    fontSize: 20,
    color: colors.BLACK,
    textAlign: 'center',
  },
});

export default Exception;

