import React from "react";
import { TouchableOpacity, StyleSheet, View } from "react-native";
import { FontAwesome } from "@expo/vector-icons";
import colors from "../../styles/colors";

interface FloatingButtonProps {
  onPress: () => void; 
	id?: string;
}

export default function FloatingButton({ id, onPress }: FloatingButtonProps) {
  return (
    <View style={styles.container} id={id}>
      <TouchableOpacity style={styles.button} onPress={onPress}>
        <FontAwesome name="plus" size={30} color="white" />
      </TouchableOpacity>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    position: "sticky",
    bottom: 70, 
    right: 24,
    zIndex:9,
    alignSelf: "flex-end",
    height: 1
  },
  button: {
    width: 60,
    height: 60,
    backgroundColor: colors.UT_ORANGE, 
    borderRadius: 100, 
    alignItems: "center",
    justifyContent: "center"
  },
});
