import React from "react";
import { Text, Linking, StyleSheet } from "react-native";
import colors from "../../styles/colors";

interface LinkProps {
	readonly url: string;
	readonly text: string
}

export default function Link({ url, text }: LinkProps) {
    return (
        <Text>
            {text}
            <Text
                style={styles.hyperlinkStyle}
                onPress={() => {
                    Linking.openURL(url);
                }}
            >
                {" "}
                clique aqui.
            </Text>
        </Text>
    );
}

const styles = StyleSheet.create({
    hyperlinkStyle: {
        color: colors.UT_ORANGE,
    },
});
