import React from 'react';
import { ActivityIndicator, Dimensions, StyleSheet, View } from 'react-native';
import colors from '../../styles/colors';

const LoadingModal = () => {
  const { width, height } = Dimensions.get('window');

  return (
    <View style={[styles.modalContainer, { width, height }]} id='loading-id'>
      <View style={styles.modal}>
        <ActivityIndicator color={colors.UT_ORANGE} size="large" />
      </View>
    </View>
  );
};

const styles = StyleSheet.create({
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    backgroundColor: 'rgba(0, 0, 0, 0.5)',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    zIndex: 99999,
  },
  modal: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    backgroundColor: 'rgba(0, 0, 0, 0.5)',
    zIndex: 1,
  },
});

export default LoadingModal;

