import * as React from 'react';
import { StyleSheet, View } from 'react-native';
import { RadioButton } from 'react-native-paper';
import colors from '../../styles/colors';

const style = StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
  },
  label: {
    fontSize: 16,
    color: colors.GRAY,
  },
});

interface IRadioButtonProps {
  value: boolean;
  label: string;
  onValueChange: (newValue: boolean) => void;
	id?: string;
}

const RadioButtonComponent: React.FC<IRadioButtonProps> = ({ value, label, onValueChange, id }) => {
  const handleChange = () => {
    onValueChange(!value);
  };

  return (
    <View style={style.container} id={id}>
      <RadioButton.Item
        label={label}
        mode="android"
        position="leading"
        value={label}
        color={colors.UT_ORANGE}
        status={value ? 'checked' : 'unchecked'}
        onPress={handleChange}
      />
    </View>
  );
};

export default RadioButtonComponent;

