import React from "react";
import { TouchableOpacity, StyleSheet, View } from "react-native";
import { FontAwesome } from "@expo/vector-icons";
import colors from "../../styles/colors";

interface ReturnPageButton {
  onPress: () => void; 
}

export default function ReturnPageButton({ onPress }: ReturnPageButton) {
  return (
    <View style={styles.container}>
      <TouchableOpacity style={styles.button} onPress={onPress}>
        <FontAwesome name="arrow-circle-o-left" size={30} color={colors.SELECTIVE_YELLOW} />
      </TouchableOpacity>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    position: "sticky",
    bottom: -20, 
    zIndex:9,
    alignSelf: "flex-start",
    height: 1
  },
  button: {
    width: 60,
    height: 60,
    alignItems: "center",
    justifyContent: "center"
  },
});
