import React from "react";
import {
    Text,
    View,
    StyleSheet,
    SafeAreaView,
    Keyboard,
    TouchableWithoutFeedback
} from "react-native";
import Tooltip from "rn-tooltip";

const TooltipComponent = ({ children, text }: { children: any; text: any }) => {

    const closeKeyboard = () => {
        Keyboard.dismiss();
    }

    return (
        <SafeAreaView style={{ width: "90%" }}>
            <TouchableWithoutFeedback onPress={closeKeyboard}>
                <View style={styles.view}>
                    <Tooltip
                        backgroundColor="white"
                        key={"tooltip-container"}
                        actionType="press"
                        height={"auto"}
                        width={"80%"}
                        containerStyle={{
                            justifyContent: "center",
                        }}
                        withOverlay={true}
                        popover={
                            <Text style={{ textAlign: "left", color: "black" }}>{text}</Text>
                        }
                    >
                        {children}
                    </Tooltip>
                </View>
            </TouchableWithoutFeedback >

        </SafeAreaView>
    );
};

const styles = StyleSheet.create({
    view: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "flex-end",
    },
    text: {
        textAlign: "justify",
    },
});

export default TooltipComponent;
