export function passwordValidator(password: string): boolean {
  if (password.trim() === '') {
    return false;
  }

  if (password.length < 8) {
    return false;
  }

  if (!/\d/.test(password)) {
    return false;
  }

  if (!/[A-Z]/.test(password)) {
    return false;
  }

  if (!/[a-z]/.test(password)) {
    return false;
  }

  return true;
}
  
export function checkPasswordLength(password: string): boolean {
    return password.length >= 8;
}

export function checkPasswordCase(password: string) {
    return password.match(/[a-z]/) && password.match(/[A-Z]/);
}

export function checkPasswordNumber(password: string) {
    return password.match(/[0-9]/);
}

export function checkPasswordsEquals(password: string, repeatPassword: string): boolean {
  return repeatPassword === "" || password === repeatPassword;
}